Loading...
Searching...
No Matches
RDKit::v2::FileParsers Namespace Reference

## Classes

class | MolFileUnhandledFeatureException
struct | MolFileParserParams
struct | MolFromSCSRParams
struct | TPLParserParams
struct | Mol2ParserParams
struct | PDBParserParams
class | MolSupplier
class | ForwardSDMolSupplier
class | SDMolSupplier
struct | SmilesMolSupplierParams
class | SmilesMolSupplier
| lazy file parser for Smiles tables More...
struct | TDTMolSupplierParams
class | TDTMolSupplier
| lazy file parser for TDT files More...

## Enumerations

enum class | SCSRTemplateNames { AsEntered , UseFirstName , UseSecondName }
enum class | SCSRBaseHbondOptions { Ignore , UseSapAll , UseSapOne , Auto }
enum | Mol2Type { CORINA = 0 }

## Functions

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMolDataStream (std::istream &inStream, unsigned int &line, const MolFileParserParams &params=MolFileParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMolBlock (const std::string &molBlock, const MolFileParserParams &params=MolFileParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMolFile (const std::string &fName, const MolFileParserParams &params=MolFileParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > | MolFromSCSRDataStream (std::istream &inStream, unsigned int &line, const MolFileParserParams &molFileParserParams=MolFileParserParams(), const MolFromSCSRParams &molFromSCSRParams=MolFromSCSRParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > | MolFromSCSRBlock (const std::string &molBlock, const MolFileParserParams &molFileParserParams=MolFileParserParams(), const MolFromSCSRParams &molFromSCSRParams=MolFromSCSRParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > | MolFromSCSRFile (const std::string &fName, const MolFileParserParams &molFileParserParams=MolFileParserParams(), const MolFromSCSRParams &molFromSCSRParams=MolFromSCSRParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromTPLDataStream (std::istream &inStream, unsigned int &line, const TPLParserParams &params=TPLParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromTPLFile (const std::string &fName, const TPLParserParams &params=TPLParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMol2DataStream (std::istream &inStream, const Mol2ParserParams &params=Mol2ParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMol2Block (const std::string &molBlock, const Mol2ParserParams &params=Mol2ParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromMol2File (const std::string &fName, const Mol2ParserParams &params=Mol2ParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromXYZDataStream (std::istream &inStream)
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromXYZBlock (const std::string &xyzBlock)
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromXYZFile (const std::string &fName)
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromPDBDataStream (std::istream &inStream, const PDBParserParams &params=PDBParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromPDBFile (const std::string &fname, const PDBParserParams &params=PDBParserParams())
RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > | MolFromPDBBlock (const std::string &str, const PDBParserParams &params=PDBParserParams())

## Enumeration Type Documentation

## Mol2Type

enum RDKit::v2::FileParsers::Mol2Type

Enumerator
CORINA | supports output from Corina and some dbtranslate output

Definition at line 263 of file FileParsers.h.

## SCSRBaseHbondOptions

enum class RDKit::v2::FileParsers::SCSRBaseHbondOptions

strong

Enumerator
Ignore |
UseSapAll |
UseSapOne |
Auto |

Definition at line 64 of file FileParsers.h.

## SCSRTemplateNames

enum class RDKit::v2::FileParsers::SCSRTemplateNames

strong

Enumerator
AsEntered |
UseFirstName |
UseSecondName |

Definition at line 56 of file FileParsers.h.

## Function Documentation

## MolFromMol2Block()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMol2Block | ( | const std::string & | molBlock,
|  | const Mol2ParserParams & | params = Mol2ParserParams() )

References MolFromMol2Block(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMol2Block(), and RDKit::operator""_mol2().

## MolFromMol2DataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMol2DataStream | ( | std::istream & | inStream,
|  | const Mol2ParserParams & | params = Mol2ParserParams() )

References MolFromMol2DataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMol2DataStream().

## MolFromMol2File()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMol2File | ( | const std::string & | fName,
|  | const Mol2ParserParams & | params = Mol2ParserParams() )

References MolFromMol2File(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMol2File().

## MolFromMolBlock()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMolBlock | ( | const std::string & | molBlock,
|  | const MolFileParserParams & | params = MolFileParserParams() )

References MolFromMolBlock(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMolBlock(), and RDKit::operator""_ctab().

## MolFromMolDataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMolDataStream | ( | std::istream & | inStream,
|  | unsigned int & | line,
|  | const MolFileParserParams & | params = MolFileParserParams() )

References MolFromMolDataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMolDataStream().

## MolFromMolFile()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromMolFile | ( | const std::string & | fName,
|  | const MolFileParserParams & | params = MolFileParserParams() )

References MolFromMolFile(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromMolFile().

## MolFromPDBBlock()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromPDBBlock | ( | const std::string & | str,
|  | const PDBParserParams & | params = PDBParserParams() )

References MolFromPDBBlock(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromPDBBlock(), and RDKit::operator""_pdb().

## MolFromPDBDataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromPDBDataStream | ( | std::istream & | inStream,
|  | const PDBParserParams & | params = PDBParserParams() )

References MolFromPDBDataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromPDBDataStream().

## MolFromPDBFile()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromPDBFile | ( | const std::string & | fname,
|  | const PDBParserParams & | params = PDBParserParams() )

References MolFromPDBFile(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromPDBFile().

## MolFromSCSRBlock()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > RDKit::v2::FileParsers::MolFromSCSRBlock | ( | const std::string & | molBlock,
|  | const MolFileParserParams & | molFileParserParams = MolFileParserParams(),
|  | const MolFromSCSRParams & | molFromSCSRParams = MolFromSCSRParams() )

References MolFromSCSRBlock(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromSCSRBlock().

## MolFromSCSRDataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > RDKit::v2::FileParsers::MolFromSCSRDataStream | ( | std::istream & | inStream,
|  | unsigned int & | line,
|  | const MolFileParserParams & | molFileParserParams = MolFileParserParams(),
|  | const MolFromSCSRParams & | molFromSCSRParams = MolFromSCSRParams() )

References MolFromSCSRDataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromSCSRDataStream().

## MolFromSCSRFile()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RDKit::RWMol > RDKit::v2::FileParsers::MolFromSCSRFile | ( | const std::string & | fName,
|  | const MolFileParserParams & | molFileParserParams = MolFileParserParams(),
|  | const MolFromSCSRParams & | molFromSCSRParams = MolFromSCSRParams() )

References MolFromSCSRFile(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromSCSRFile().

## MolFromTPLDataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromTPLDataStream | ( | std::istream & | inStream,
|  | unsigned int & | line,
|  | const TPLParserParams & | params = TPLParserParams() )

References MolFromTPLDataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromTPLDataStream().

## MolFromTPLFile()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromTPLFile | ( | const std::string & | fName,
|  | const TPLParserParams & | params = TPLParserParams() )

References MolFromTPLFile(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromTPLFile().

## MolFromXYZBlock()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromXYZBlock | ( | const std::string & | xyzBlock | ) |

Parameters

  xyzBlock | - string containing the xyz block

References MolFromXYZBlock(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromXYZBlock().

## MolFromXYZDataStream()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromXYZDataStream | ( | std::istream & | inStream | ) |

References MolFromXYZDataStream(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromXYZDataStream().

## MolFromXYZFile()

RDKIT_FILEPARSERS_EXPORT std::unique_ptr< RWMol > RDKit::v2::FileParsers::MolFromXYZFile | ( | const std::string & | fName | ) |

Parameters

  fName | - string containing the file name

References MolFromXYZFile(), and RDKIT_FILEPARSERS_EXPORT.

Referenced by MolFromXYZFile().